Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::vrml97_node::visibility_sensor_node Class Reference

Inheritance diagram for openvrml::vrml97_node::visibility_sensor_node:

[legend]
List of all members.

## Detailed Description

VisibilitySensor node instances.

## Public Member Functions

| visibility_sensor_node (const node_type &type, const boost::shared_ptr< openvrml::scope > &scope)
| Construct.
virtual | ~visibility_sensor_node () throw ()
| Destroy.

## Private Member Functions

virtual void | do_render_child (openvrml::viewer &viewer, rendering_context context)
| Generate visibility events.

## Private Attributes

exposedfield< sfvec3f > | center_
| center exposedField.
exposedfield< sfbool > | enabled_
| enabled exposedField.
exposedfield< sfvec3f > | size_
| size exposedField.
sfbool | is_active_
| isActive eventOut value.
sfbool_emitter | is_active_emitter_
| isActive eventOut emitter.
sftime | enter_time_
| enterTime eventOut value.
sftime_emitter | enter_time_emitter_
| enterTime eventOut emitter.
sftime | exit_time_
| exitTime eventOut value.
sftime_emitter | exit_time_emitter_
| exitTime eventOut emitter.

## Friends

class | visibility_sensor_class
| Class object for VisibilitySensor instances.

## Constructor & Destructor Documentation

openvrml::vrml97_node::visibility_sensor_node::visibility_sensor_node | ( | const node_type & | type,
|  | const boost::shared_ptr< openvrml::scope > & | scope
| ) |

Construct.

Parameters:

  | type | the node_type associated with the instance.
  | scope | the scope that the new node will belong to.

openvrml::vrml97_node::visibility_sensor_node::~visibility_sensor_node | ( |  | ) | throw ()`[virtual]`

| Destroy.

## Member Function Documentation

void openvrml::vrml97_node::visibility_sensor_node::do_render_child | ( | openvrml::viewer & | viewer,
|  | rendering_context | context
| ) | `[private, virtual]`

Generate visibility events.

Todo:
  This is in a render() method since the it needs to be computed with respect to the accumulated transformations above it in the scene graph. Move to update() when xforms are accumulated in Groups...

Parameters:

  | viewer | viewer.
  | context | rendering_context.

Reimplemented from openvrml::child_node.

## Friends And Related Function Documentation

openvrml::vrml97_node::visibility_sensor_node::visibility_sensor_class`[friend]`

| Class object for VisibilitySensor instances.

## Member Data Documentation

exposedfield< sfvec3f > openvrml::vrml97_node::visibility_sensor_node::center_ `[private]`

| center exposedField.

exposedfield< sfbool > openvrml::vrml97_node::visibility_sensor_node::enabled_ `[private]`

| enabled exposedField.

exposedfield< sfvec3f > openvrml::vrml97_node::visibility_sensor_node::size_ `[private]`

| size exposedField.

sfbool openvrml::vrml97_node::visibility_sensor_node::is_active_ `[private]`

| isActive eventOut value.

sfbool_emitter openvrml::vrml97_node::visibility_sensor_node::is_active_emitter_ `[private]`

| isActive eventOut emitter.

sftime openvrml::vrml97_node::visibility_sensor_node::enter_time_ `[private]`

| enterTime eventOut value.

sftime_emitter openvrml::vrml97_node::visibility_sensor_node::enter_time_emitter_ `[private]`

| enterTime eventOut emitter.

sftime openvrml::vrml97_node::visibility_sensor_node::exit_time_ `[private]`

| exitTime eventOut value.

sftime_emitter openvrml::vrml97_node::visibility_sensor_node::exit_time_emitter_ `[private]`

| exitTime eventOut emitter.